Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005297OCamlOCaml generalpublic2011-06-21 12:442013-08-31 12:46
ReporterDmitry Grebeniuk 
Assigned Tolefessan 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.13.0+dev 
Target VersionFixed in Version3.13.0+dev 
Summary0005297: compiler does not check %primitive's existence
DescriptionI don't know whether it is serious error or not, but I'm reporting it anyway.
When I have incorrectly spelled "%primitivename" in external declaration, I got assembler error:

$ cat q.ml
external q : 'a -> 'a = "%q"
let () = q ()
$ ocamlopt q.ml
/tmp/camlasm3926b2.s: Assembler messages:
/tmp/camlasm3926b2.s:23: Error: junk `q (%rip)' after expression
/tmp/camlasm3926b2.s:23: Error: missing or invalid immediate expression `25q@GOTPCREL(%rip)'
File "q.ml", line 1, characters 0-1:
Error: Assembler error, input left in file /tmp/camlasm3926b2.s
$
TagsNo tags attached.
Attached Files? file icon camlasm3926b2.s [^] (814 bytes) 2011-06-21 12:44

- Relationships

-  Notes
(0006937)
lefessan (developer)
2012-02-18 10:46

Fixed in commit 12165 of SVN trunk.

- Issue History
Date Modified Username Field Change
2011-06-21 12:44 Dmitry Grebeniuk New Issue
2011-06-21 12:44 Dmitry Grebeniuk File Added: camlasm3926b2.s
2012-02-14 16:38 gasche Assigned To => lefessan
2012-02-14 16:38 gasche Status new => assigned
2012-02-18 10:46 lefessan Note Added: 0006937
2012-02-18 10:46 lefessan Status assigned => resolved
2012-02-18 10:46 lefessan Fixed in Version => 3.13.0+dev
2012-02-18 10:46 lefessan Resolution open => fixed
2013-08-31 12:46 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker